/*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */

#include "classReferences.h"
#include "common_type.h"
#include "const_i.h"
#include "oper_gra_i.h"
#include "opersignal.h"
#include "string_type.h"
#include "SUPERVISEUR_types.h"
#include "graphicalTypes.h"
#include "typ_acces.h"
#include "GHDC_type.h"
#include "DCG.h"
#include "buffer_type.h"
#include "sysfile_type.h"
#include "NodeManager.h"
#include "ExprManager.h"
#include "atInodesList_g.h"
#include "string_api.h"
#include "ident_g.h"
#include "tree_api.h"
#include "atsigtree_g.h"
// #include "Conversions_g.h"
#include "const_gra_i.h"
#include "message.h"
#include "inteprempasse_g.h"
#include "SignalDisplaying.h"
#include "currentObjectsManager.h"
#include "signal_tree.h"
#include "graphicalTrees.h"
#include "graphicalMaths_g.h"
#include "graphicTablesManager.h"
#include "drawing.h"
#include "routing.h"
#include "undo.h"
#include "LiaisonSignalC2Java_g.h" 
#include "string.h"
#include "builder.h"

#include "PragmasTrees_g.h"
#include "commonBuilder_m.c"
#include "boxBuilder_m.c"
#include "linkBuilder_m.c"
#include "mappingBuilder_m.c"
#include "boxBuilder_g.c"
#include "linkBuilder_g.c"
#include "mappingBuilder_g.c"
#include "commonBuilder_g.c"

