/*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */
//_PUBLIC_

/// Constructor
message::message ()
{
}


/**
  Printing the no-th error message. The messages are managed in Java world.
*/
void
message::error_mess (int no)
{
  C2Java_displayError (no);
}


/**
  Printing the no-th info message. The messages are managed in Java world.
*/
void
message::info_mess (int no)
{
  C2Java_displayError (no);
}


/**
  Printing GUI-help of Polychrony. The help is managed in Java world.
*/
void
message::HELPMESS ()
{
  C2Java_helpShow ();
}


/**
  Printing the no-th error message. The messages are managed in Java world.
*/
void
message::ParsingError (char *mess)
{
  C2Java_displayParsingError (mess);
}
