 /*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */


 
public interface UserActions {
    final static int J_not_impl = 0;
    final static int J_no_action = 1;
    final static int J_creer = 2;
    final static int J_creerbte = 3;
    final static int J_creerproc = 4;
    final static int J_creerbteexpr = 5;
    final static int J_box_police = 6;
    final static int J_creerlien = 7;
    final static int J_creerport = 8;
    final static int J_creerporte = 9;
    final static int J_creerports = 10;
    final static int J_cut = 11;
    final static int J_move = 12;
    final static int J_resize = 13;
    final static int J_copy_graph = 14;
    final static int J_justif = 15;
    final static int J_delete = 16;
    final static int J_in = 17;
    final static int J_validparam = 18;
    final static int J_cliqportnom = 19;
    final static int J_confirm = 20;
    final static int J_before = 21;
    final static int J_refresh = 22;
    final static int J_raz = 23;
    final static int J_the_end = 24;
    final static int J_halo = 25;
    final static int J_encaps = 26;
    final static int J_decaps = 27;
    final static int J_undo = 28;
    final static int J_copy_port = 29;
    final static int J_root = 30;
    final static int J_text_win = 31;
    final static int J_help = 32;
    final static int J_free33 = 33;
    final static int J_creernode = 34;
    final static int J_load = 35;
    final static int J_parse = 36;
    final static int J_saveAllRoots = 37; // silently save all roots (from this selected window)
    final static int J_saveAllRootsAs = 38; // query save all roots (from this selected window)
    final static int J_saveAs = 39; // query save this selected node (or this window root)
    final static int J_unparseAs = 40;
    final static int J_save_PS = 41;
    final static int J_paste_graph = 42;
    final static int J_spec = 43;
    final static int J_creerfunc = 44;
    // PLG final static int J_direct_comp = 44;
    final static int J_call_prov = 45;
    final static int J_incl_prov = 46;
    final static int J_selection = 47;
    final static int J_pragm = 48;
    final static int J_bte_map = 49;
    final static int J_archi_compil = 50;
    final static int J_load_Lib = 51;
    final static int J_embed = 52;
    final static int J_ch_typ_proc = 53;
    final static int J_ch_typ_func = 54;
    final static int J_end_map = 55;
    final static int J_link_map = 56;
    final static int J_mapp = 57;
    final static int J_move_in_hierar = 58;
    final static int J_grid = 59;
    final static int J_displayDetails = 60;
    final static int J_displayPortNames = 61;
    final static int J_param = 62;
    final static int J_locDecl = 63;
    final static int J_auto_comp = 64;
    final static int J_inOut = 65;
    final static int J_inter_comp = 66;
    final static int J_port_police = 67;
    final static int J_new_window = 68;
    final static int J_close_window = 69;
    final static int J_replaceIdent = 70;
    final static int J_ch_typ_act = 71;
    final static int J_creeraction = 72;
    final static int J_save = 73;
    final static int J_reset_window = 74;
    final static int J_up_window = 75;
    final static int J_down_window = 76;
    final static int J_left_window = 77;
    final static int J_right_window = 78;
    final static int J_main_window = 79;
    final static int J_nop = 80; // reset current action to no_action
    final static int J_grid_1 = 81;
    final static int J_grid_2 = 82;
    final static int J_grid_3 = 83;
    final static int J_grid_none = 84;
    final static int J_setName = 85;
    final static int J_start = 86;

//    final static int J_unparseAllAs = 86;
//    final static int J_search_Process = 85;
    final static int J_copy = 87;
    final static int J_paste = 88;
    final static int J_cut_graph = 89;
    final static int J_creerautomaton = 90;

    final static int J_copy_Icon = 91;
//    final static int J_load_g = 92;
    final static int J_ch_typ_node = 93;
    final static int J_creermodule = 94;
    final static int J_info_Icon = 95;
    final static int J_removeLib = 96;
    final static int J_reloadLib = 97;
    final static int J_copyPaste2newWindow = 98;

    final static int J_search = 99;
    final static int J_gotoWindow = 100;
//    final static int J_jtreeBar = 101;
//    final static int J_bibBar = 102;

    final static int J_StrokeWidth_1 = 103;
    final static int J_StrokeWidth_2 = 104;
    final static int J_StrokeWidth_3 = 105;

//
// SHOULD BE MOVED in another class?

    final static int MOUSE_error = -1;
    final static int MOUSE_up = 0;
    final static int MOUSE_left = 1;
    final static int MOUSE_middle = 2;
    final static int MOUSE_right = 3;
}
