/*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */
typedef struct ty_l_project *ptListProjections;
typedef struct l_arb *ptListChemins;

class routor {
  
#include "routing_m.h"
#include "routing_g.h"

private:
  
  ptCurrentObjectsManager pCurObjManager;
  
  int x_cour,y_cour,sens_cour,cout_cour,l_cour,x_arr,y_arr,sens_arr;

  int seg_recouv; /* dans le cas d'un routage vers un port diffuseur deja
               connecte, seg_recouv est le premier segment (connecte au port)
               rencontre comme obstacle. */
  
  int port_recouv; /* numero du port diffuseur deja connecte (passe en parametre
		      a la fonction routage ; vaut 0 s'il n'y a pas de
		 recouvrement)*/
  ntrees routage_cour,racine_routage,chemin_nouv;
  ptListProjections l_proj;
  ptListChemins l_chemins;
  
};
