

PRINT("DIRECTORY: ${SignalGUI_bin}")
SET(PREFIX SignalGUIBin_)
SET(DIRS doc images)
SETVARIABLES("${DIRS}" ${SignalGUI_bin} ${PREFIX} SignalGUI_bin )
DECLARECOMPONENTS("${DIRS}" ${PREFIX})

IF(PKCONFIG)
  MK_CONFIG_NAME(${PREDEF_PKCONFIG_NAME} CONFIG_NAME)
  SET(SignalGUICmd polychrony)
  MK_CONFIG_NAME(${SignalGUICmd} CMD)
  SET(CONFIG_FILE ${SignalGUI_bin}/${CONFIG_NAME})
  IF(UNIX)
    FILE(APPEND ${CONFIG_FILE} "alias ${SignalGUICmd} '\${pK_bin}/polychrony'\n")
  ELSE(UNIX)
    FILE(APPEND ${CONFIG_FILE} "set path=%path%;%pK_bin\n")
  ENDIF(UNIX)
  GEN_ECHO_USE_CMD(${CONFIG_FILE} "${SignalGUICmd}" "To call the Signal Graphical User Interface" " " )
  # Generating the polychrony command.
  INCLUDE(${SignalGUI_bin}/genPolychronyCmd.cmake)
ENDIF(PKCONFIG)
