/*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */
#ifndef __CEXTRACT__
#if __STDC__

public: 

boolean setTextToBox(ntrees mpp, int box, boolean *ClickNameNecessary);
void buildBox ( int etat_bout, int x_ret, int y_ret );
void buildData(int x, int y);
void taille_bte ( int etat_bout, int x_ret, int y_ret, boolean force );
ntrees buildArchi ( ntrees p_modele);
void restaure_pre_archi (  ntrees p );
void add_new_links ( ntrees p_proc );
void build_compiled_proc ( ntrees p_archi, ntrees p_compil, int no );
ntrees build_embedded_proc ( int bte );
void detruire_bte (int bte , boolean detach);
void createExprBox (ntrees arb_sig, int nbcoord, typcoord *tcoord );
void createData(typcoord *tcoord);
boolean createGlueBox (int nbcoord, typcoord *tcoord, ntrees l_bte_enc, boolean *cr_ports );
ntrees dupl_bte (ntrees arb_gra );
void createPasteBox (ntrees arb_gra, boolean modtail, typcoord *tcoord );
boolean detr_bte_decaps (int bte, ntrees l_bte_dec, int *noErrMess);
void chang_taille_direct (int bte, int sens, typcoord *tcoord_bte );
boolean agrandit_taille_direct (int bte, int sens, typcoord *tcoord_bte );
boolean clean_embedded_box(int bte, ntrees p_proc);
void encapsuler_bte(int etat_bout, int x_ret, int y_ret);
void decapsuler_bte( int x_reticule, int y_reticule);
ntrees SignalRootCreate (char *c_name );
#endif /* __STDC__ */
#endif /* __CEXTRACT__ */
