/*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */

// Constantes utilisées pour communiquer avec JAVA : on ne peut pas utiliser
// le type énuméré  action_type (correspond aux mêmes actions).
#define J_not_impl 0
#define J_no_action 1
#define J_creer  2
#define J_creerbte  3
#define J_creerproc  4
#define J_creerbteexpr  5
#define J_box_police  6
#define J_creerlien  7
#define J_creerport  8
#define J_creerporte  9
#define J_creerports  10
#define J_cut  11
#define J_move  12
#define J_resize  13
#define J_copy_graph  14
#define J_justif  15
#define J_delete = 16;
#define J_in = 17;
#define J_validparam  18
#define J_cliqportnom  19
#define J_confirm  20
#define J_before  21
#define J_refresh  22
#define J_raz  23
#define J_the_end  24
#define J_halo  25
#define J_encaps  26
#define J_decaps  27
#define J_undo  28
#define J_copy_port  29
#define J_holophraste  30
#define J_text_win  31
#define J_help  32
#define J_see_ports  33
#define J_creernode  34
#define J_load 35
#define J_parse 36
#define J_saveAllRoots  37
#define J_saveAllRootsAs  38
#define J_saveAs  39
#define J_unparseAs  40
#define J_save_PS  41
#define J_paste_graph  42
#define J_spec  43
#define J_creerfunc  44
//PLG #define J_direct_comp  44
#define J_call_prov  45
#define J_incl_prov  46
#define J_selection  47
#define J_pragm  48
#define J_bte_map  49
#define J_archi_compil  50
#define J_load_Lib  51
#define J_embed  52
#define J_ch_typ_proc  53
#define J_ch_typ_func  54
#define J_end_map  55
#define J_link_map  56
#define J_mapp  57
#define J_move_in_hierar  58
#define J_grid  59
#define J_details  60
#define J_names  61
#define J_param  62
#define J_locDecl  63
#define J_auto_comp 64
#define J_inOut 65
#define J_inter_comp 66
#define J_port_police  67
#define J_creeraction  72
#define J_save  73
#define J_reset_window 74 // #define J_save_t  74
#define J_nop 80
// #define J_unparseAllAs 86
#define J_copy 87
#define J_paste 88
#define J_cut_graph 89
// #define J_save_T  90;
#define J_copy_Icon 91
// #define J_load_g  92
#define J_ch_typ_node  93
#define J_info_Icon 95
#define J_removeLib 96
#define J_reloadLib 97


