/*
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr

   This file is part of Polychrony Signal GUI (http://www.irisa.fr/espresso/polychrony).

   Polychrony Signal GUI is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal GUI is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal GUI; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA.
 */

private: 

void init_routage ( int xa, int ya, int sensa, int xb, int yb, int sensb );
void maj_chem ( int x, int y, int sens );
void calcul_seg_recouv ( int xa, int ya, boolean sens_horiz, typcoord *obst );
boolean chem_direct ( int xa, int ya, int sensa, int xb, int yb, int sensb );
void inser_l_chem ( ntrees p, int ct, int sens, int l );
int cout_chem ( int xa, int ya, int sensa, int xb, int yb, int sensb );
boolean pass_chem ( int x1, int x2 );
boolean alinterieur ( int x1, int x2, int borne1, int borne2 );
boolean alinterieur_strict ( int x1, int x2, int borne1, int borne2 );
boolean touche_obst ( int borne1, int borne2, int x );
void construire_proj ( int abs1, int ord1, int abs2, int ord2, boolean en_absc );
void projection_x ( int xa, int xb, int y, boolean au_dessus, ptListProjections *l_project );
void projection_y ( int ya, int yb, int x, boolean a_droite, ptListProjections *l_project );
boolean obstacle_x ( int xa, int xb, int y, typcoord *obst );
boolean obstacle_y ( int ya, int yb, int x, typcoord *obst );
void ajout_chem ( int x, int y, int sens );
void maj_chem_cour ( void );
void maj_routage (ptListProjections l_projections, int borne1, int borne2, int sens_nouv );
boolean calcul_routage ( int xa, int ya, int sensa, int xb, int yb, int sensb );

